import {css, html, LitElement} from 'lit-element';
import {ScopedElementsMixin} from '@open-wc/scoped-elements';
//import {ClassName} from '@dbp-toolkit/package-name/src/dbp-demo-activity-name'; TODO
import * as commonUtils from '@dbp-toolkit/common/utils';
import * as commonStyles from '@dbp-toolkit/common/styles';
import {unsafeHTML} from 'lit-html/directives/unsafe-html.js';
// import readme from '@dbp-toolkit/class-name/README.md'; TODO
import highlightCSSPath from 'highlight.js/styles/default.css';
import * as demoStyles from "./styles";

class DbpActivityNameDemoActivity extends ScopedElementsMixin(LitElement) { //TODO
    static get scopedElements() {
        return {
            // TODO
            //'dbp-class-name-demo': ClassName,
        };
    }

    static get properties() {
        return {
        };
    }

    connectedCallback() {
        super.connectedCallback();

        this.updateComplete.then(()=>{
        });
    }

    static get styles() {
        // language=css
        return [
            commonStyles.getThemeCSS(),
            commonStyles.getGeneralCSS(),
            demoStyles.getDemoCSS(),
            css`
            h1.title {margin-bottom: 1em;}
            div.container {margin-bottom: 1.5em;}

            #demo{
                display: block;
                padding-top: 50px;
            }
            
            `
        ];
    }

    render() {
        return html`
             <!--
                TODO
                ${unsafeHTML(readme)}
                <dbp-class-name-demo id="demo" lang="en"></dbp-class-name-demo>
            -->
        `;
    }
}

//commonUtils.defineCustomElement('dbp-class-name-demo-activity', DbpClassNameDemoActivity); TODO
